NewWacht Bench is live — AI-assisted development for Wacht

Search Actor Projects

GET
/ai/actor-projects/search

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

actor_id*integer
q?string
limit?integer
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/actor-projects/search?actor_id=0"
{
  "data": [
    {
      "id": "string",
      "deployment_id": "string",
      "actor_id": "string",
      "name": "string",
      "description": "string",
      "status": "string",
      "coordinator_thread_id": "string",
      "review_thread_id": "string",
      "metadata": null,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "archived_at": "2019-08-24T14:15:22Z"
    }
  ],
  "limit": 0,
  "has_more": true,
  "next_cursor": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}